## org.h2.command.ddl
Class SchemaCommand

    java.lang.Object
      org.h2.command.Prepared
          org.h2.command.ddl.DefineCommand
              org.h2.command.ddl.SchemaCommand

Direct Known Subclasses:
  AlterSequence, AlterTableAddConstraint, AlterTableAlterColumn, AlterTableDropConstraint, AlterTableRename, AlterTableSet, CreateConstant, CreateIndex, CreateLinkedTable, CreateSequence, CreateTable, CreateTrigger, CreateView, DropConstant, DropIndex, DropSequence, DropTable, DropTrigger, DropView

    public abstract class SchemaCommand

extends DefineCommand

This class represents a non-transaction statement that involves a schema.

Field Summary

Fields inherited from class org.h2.command.Prepared
`create, parameters, prepareAlways, session, sqlStatement`

Constructor Summary
`SchemaCommand(Session session, Schema schema)` Create a new command.

Method Summary
`protected Schema` `getSchema()` Get the schema

Methods inherited from class org.h2.command.ddl.DefineCommand
`isReadOnly, isTransactional, queryMeta`

Methods inherited from class org.h2.command.Prepared
`checkCanceled, checkParameters, getCurrentObjectId, getCurrentRowNumber, getObjectId, getParameters, getPlanSQL, getSQL, getSQL, getSQL, isQuery, needRecompile, prepare, query, setCommand, setCurrentRowNumber, setObjectId, setParameterList, setPrepareAlways, setRow, setSession, setSQL, toString, update`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SchemaCommand

    public SchemaCommand(Session session,
                         Schema schema)

  Create a new command.

  Parameters:
    `session` - the session
    `schema` - the schema

Method Detail

### getSchema

    protected Schema getSchema()

  Get the schema

  Returns:
    the schema